<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appBarLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/transparent"
            app:elevation="0dp">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/collapsing_toolbar_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <include
                        android:id="@+id/profile_header_layout"
                        layout="@layout/layout_user_profile_header"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:minHeight="93dp"
                        app:layout_scrollFlags="scroll" />
                </LinearLayout>

            </com.google.android.material.appbar.CollapsingToolbarLayout>

            <com.adealink.weparty.commonui.widget.CommonTabLayout
                android:id="@+id/tabLayout"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                app:indicator_color="@color/color_222222"
                app:indicator_drawable="@drawable/profile_indicator"
                app:indicator_height="2dp"
                app:indicator_width_mode="match_parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_scrollFlags="scroll|exitUntilCollapsed"
                app:normal_tab_color="@color/color_999999"
                app:normal_text_size="14sp"
                app:selected_tab_color="@color/color_222222"
                app:selected_text_size="14sp"
                app:tab_mode="fixed"
                app:tab_type="match_parent" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/color_FFF2F3F5" />

        </com.google.android.material.appbar.AppBarLayout>

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/profileVp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        <include
            android:id="@+id/top_bar"
            layout="@layout/layout_user_profile_topbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_top_bar_height"
            android:paddingHorizontal="16dp" />

        <include
            android:id="@+id/v_bottom"
            layout="@layout/layout_profile_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <include
        android:id="@+id/v_playmate_charm"
        layout="@layout/layout_playmate_charm_star"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>